PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Data Structures
Data Structures
PDL API Reference » MCWDT (Multi-Counter Watchdog)

## General Description

## Data Structures
struct | cy_stc_mcwdt_config_t
| The MCWDT component configuration structure. More...

## Data Structure Documentation

## ◆ cy_stc_mcwdt_config_t

struct cy_stc_mcwdt_config_t

Data Fields
uint16_t | c0Match | The sub-counter#0 match comparison value, for interrupt or watchdog timeout. Range: 0 - 65535 for c0ClearOnMatch = 0 and 1 - 65535 for c0ClearOnMatch = 1.
uint16_t | c1Match | The sub-counter#1 match comparison value, for interrupt or watchdog timeout. Range: 0 - 65535 for c1ClearOnMatch = 0 and 1 - 65535 for c1ClearOnMatch = 1.
uint8_t | c0Mode | The sub-counter#0 mode. It can have the following values: CY_MCWDT_MODE_NONE, CY_MCWDT_MODE_INT, CY_MCWDT_MODE_RESET and CY_MCWDT_MODE_INT_RESET.
uint8_t | c1Mode | The sub-counter#1 mode. It can have the following values: CY_MCWDT_MODE_NONE, CY_MCWDT_MODE_INT, CY_MCWDT_MODE_RESET and CY_MCWDT_MODE_INT_RESET.
uint8_t | c2ToggleBit | The sub-counter#2 Period / Toggle Bit value. Range: 0 - 31.
uint8_t | c2Mode | The sub-counter#2 mode. It can have the following values: CY_MCWDT_MODE_NONE and CY_MCWDT_MODE_INT.
uint16_t | c0LowerLimit | Lower limit for sub-counter 0 of this MCWDT. Range: 0 - 65535.
uint16_t | c1LowerLimit | Lower limit for sub-counter 0 of this MCWDT. Range: 0 - 65535.
uint16_t | c0LowerLimitMode | Watchdog Counter Action on service before lower limit. Range: 0 - 2., 0 - Do nothing, 1 - Assert WDT_INTx, 2 - Assert WDT Reset.
uint16_t | c1LowerLimitMode | Watchdog Counter Action on service before lower limit. Range: 0 - 2., 0 - Do nothing, 1 - Assert WDT_INTx, 2 - Assert WDT Reset.
bool | c0c1carryoutconfig | Carryout behaviour that applies when counter 0 and 1 are cascaded false: carry out on counter 0 match, true: carry out on counter 0 roll-over. Note This parameter is available for devices having MXS40SSRSS or MXS22SRSS IP.
bool | c0c1matchconfig | Matching behaviour that applies when counter 0 and 1 are cascaded false: Match based on counter 1 alone, true: Match based on counter 1 and 0 simultaneously.
bool | c1c2carryoutconfig | Carryout behaviour that applies when counter 1 and 2 are cascaded false: carry out on counter 1 match, true: carry out on counter 1 roll-over.
bool | c1c2matchconfig | Matching behaviour that applies when counter 1 and 2 are cascaded false: Match based on counter 1 alone, true: Match based on counter 2 and 1 simultaneously.
bool | c0ClearOnMatch | The sub-counter#0 Clear On Match parameter enabled/disabled.
bool | c1ClearOnMatch | The sub-counter#1 Clear On Match parameter enabled/disabled.
bool | c0c1Cascade | The sub-counter#1 is clocked by LFCLK or from sub-counter#0 cascade.
bool | c1c2Cascade | The sub-counter#2 is clocked by LFCLK or from sub-counter#1 cascade.